## pypalazzetti 0.1.19

=== requirements.txt ===
aiohttp >= 3.10.3

=== debian/changelog ===
pypalazzetti (0.1.19-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 10:34:23 +0200

pypalazzetti (0.1.19-1) unstable; urgency=medium

  * Initial release. (Closes: #1108669)

 -- Edward Betts <edward@4angle.com>  Wed, 02 Jul 2025 16:26:24 +0100

=== debian/control ===
Source: pypalazzetti
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/dotvav/py-palazzetti-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypalazzetti
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pypalazzetti.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pypalazzetti
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to access and control a Palazzetti stove through a connection box
 This library provides a means to connect with Palazzetti stoves using a
 Palazzetti Connection Box or WPAlaControl integration. It establishes an
 asynchronous connection, allowing users to monitor and control various
 parameters of the stove, such as room temperature, target temperature, and fan
 speed. The library enables access to the stove's status and facilitates
 adjustments to settings directly over a Wi-Fi network. By interfacing directly
 with the stove, the library allows for real-time updates and commands,
 including setting temperature targets and fan speeds.

=== debian/watch ===
version=4
https://github.com/dotvav/py-palazzetti-api/tags .*/v?(\d\S+)\.tar\.gz

## pypalazzetti 0.1.20

=== debian/changelog ===
pypalazzetti (0.1.20-1) unstable; urgency=medium

  * New upstream release.
  * Add test dependencies: pytest-asyncio and pytest-cov.
  * Skip test coverage report generation.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Nov 2025 06:45:29 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/dotvav/py-palazzetti-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypalazzetti

=== debian/watch ===
Version: 5

Template: Github
Owner: dotvav
Project: py-palazzetti-api
